## r-cran-optimparallel 1.0

=== DESCRIPTION ===
Package: optimParallel
Type: Package
Title: Parallel Version of the L-BFGS-B Optimization Method
Version: 1.0-2
Date: 2021-02-10
Authors@R: c(person("Florian", "Gerber", role = c("aut", "cre"),
             email = "flora.fauna.gerber@gmail.com",
             comment = c(ORCID = "0000-0001-8545-5263")))
Maintainer: Florian Gerber <flora.fauna.gerber@gmail.com>
Description: Provides a parallel version of the L-BFGS-B method of optim(). The main function of the package is optimParallel(), which has the same usage and output as optim(). Using optimParallel() can significantly reduce the optimization time.
License: GPL (>= 2)
URL: https://github.com/florafauna/optimParallel-R
BugReports: https://github.com/florafauna/optimParallel-R/issues
Depends: R (>= 3.5), stats, parallel
Suggests: R.rsp, roxygen2, spam, microbenchmark, testthat, ggplot2,
        numDeriv, lbfgsb3c
VignetteBuilder: R.rsp
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-02-10 18:53:50 UTC; fl
Author: Florian Gerber [aut, cre] (<https://orcid.org/0000-0001-8545-5263>)
Repository: CRAN
Date/Publication: 2021-02-11 16:00:06 UTC

## r-cran-optimparallel 1.0-2

=== debian/changelog ===
r-cran-optimparallel (1.0-2-2) unstable; urgency=medium

  * Packaging update
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 05 Oct 2022 12:02:12 +0200

r-cran-optimparallel (1.0-2-1) unstable; urgency=medium

  * Initial release (closes: #1019882)

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2022 13:51:10 +0200

=== debian/control ===
Source: r-cran-optimparallel
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-optimparallel
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-optimparallel.git
Homepage: https://cran.r-project.org/package=optimParallel
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-optimparallel
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: parallel version of the L-BFGS-B optimization method
 Provides a parallel version of the L-BFGS-B method of optim(). The main
 function of the package is optimParallel(), which has the same usage and
 output as optim(). Using optimParallel() can significantly reduce the
 optimization time.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
#         r-cran-r.rsp
         r-cran-roxygen2,
         r-cran-spam,
#         r-cran-microbenchmark,
         r-cran-testthat,
         r-cran-ggplot2,
         r-cran-numderiv,
         r-cran-lbfgsb3c
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/optimParallel_([-\d.]*)\.tar\.gz
